﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/controlcatalog/model/ObjectiveResourceFilter.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace ControlCatalog
{
namespace Model
{

ObjectiveResourceFilter::ObjectiveResourceFilter() : 
    m_arnHasBeenSet(false)
{
}

ObjectiveResourceFilter::ObjectiveResourceFilter(JsonView jsonValue)
  : ObjectiveResourceFilter()
{
  *this = jsonValue;
}

ObjectiveResourceFilter& ObjectiveResourceFilter::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("Arn"))
  {
    m_arn = jsonValue.GetString("Arn");

    m_arnHasBeenSet = true;
  }

  return *this;
}

JsonValue ObjectiveResourceFilter::Jsonize() const
{
  JsonValue payload;

  if(m_arnHasBeenSet)
  {
   payload.WithString("Arn", m_arn);

  }

  return payload;
}

} // namespace Model
} // namespace ControlCatalog
} // namespace Aws
